package server

import (
	"strconv"

	"github.com/gofiber/fiber/v2"

	"git.pbiernat.io/egommerce/pricing-service/internal/service"
	"git.pbiernat.io/egommerce/pricing-service/internal/ui"
)

func (s *Server) GetProductPriceHandler(c *fiber.Ctx) error {
	prodID, err := strconv.Atoi(c.Params("id"))
	if err != nil {
		return s.Error(c, 404, err.Error())
	}

	priceSrv := service.NewPriceService(s.GetDatabase(), s.GetCache(), s.GetEventBus(), s.GetLogger())
	res, err := ui.GetProductPrice(priceSrv, prodID)
	if err != nil {
		s.GetLogger().Log("GetProductPriceHandler error: %s", err)
		return s.Error(c, 404, "Product not found")
	}

	s.GetLogger().Log("Price: %#v", res)
	// s.Logger.Log("GetProductPriceHandler res: %s", c.JSON(res))

	return c.JSON(res)
}
